package jnet.lib.snmp;

import java.io.Serializable;


public class DeviceInfo implements Serializable{
    
        private String sysName;
        private String sysDescr;
        private String sysUptime;
        private String sysContact;
        private String sysLocation;
        private String sysObjectID;

    public DeviceInfo(String sysName, String sysDescr, String sysUptime, String sysContact, String sysLocation, String sysObjectID) {
        this.sysName = sysName;
        this.sysDescr = sysDescr;
        this.sysUptime = sysUptime;
        this.sysContact = sysContact;
        this.sysLocation = sysLocation;
        this.sysObjectID = sysObjectID;
    }

    public String getSysName() {
        return sysName;
    }

    public void setSysName(String sysName) {
        this.sysName = sysName;
    }

    public String getSysDescr() {
        return sysDescr;
    }

    public void setSysDescr(String sysDescr) {
        this.sysDescr = sysDescr;
    }

    public String getSysUptime() {
        return sysUptime;
    }

    public void setSysUptime(String sysUptime) {
        this.sysUptime = sysUptime;
    }

    public String getSysContact() {
        return sysContact;
    }

    public void setSysContact(String sysContact) {
        this.sysContact = sysContact;
    }

    public String getSysLocation() {
        return sysLocation;
    }

    public void setSysLocation(String sysLocation) {
        this.sysLocation = sysLocation;
    }

    public String getSysObjectID() {
        return sysObjectID;
    }

    public void setSysObjectID(String sysObjectID) {
        this.sysObjectID = sysObjectID;
    }
        
        

}
